from django.db import models
from django.conf import settings


class Message(models.Model):
    content: models.CharField = models.CharField(max_length=400)
    author: models.ForeignKey = models.ForeignKey(
        settings.AUTH_USER_MODEL, on_delete=models.CASCADE
    )
    send_date: models.DateTimeField = models.DateTimeField("sending date")

    @property
    def author_name(self):
        return self.author.username

    @property
    def fmt_send_date(self):
        return self.send_date.strftime("%d/%m/%Y %H:%M")

    def __str__(self):
        return f"{self.fmt_send_date} - {self.author_name}: {self.content}"
