from django.http import HttpResponseRedirect
from django.shortcuts import render
from django.contrib.auth import authenticate, login
from django.contrib.auth.mixins import LoginRequiredMixin
from django.views import generic


class IndexView(LoginRequiredMixin, generic.ListView):
    template_name = "index.html"
    login_url = "/login/"
    redirect_field_name = ""

    def get_queryset(self):
        pass


def login_view(request):
    if request.method == "POST":
        username = request.POST["login"]
        password = request.POST["password"]
        user = authenticate(request, username=username, password=password)
        if user is not None:
            login(request, user)
            return HttpResponseRedirect("/")
        return render(request, "login.html", {"error_message": "Invalid login"})
    return render(request, "login.html", {})
